Bug 558544 - Review Request: gdisk - An fdisk-like partitioning tool for GPT disks
Summary: Review Request: gdisk - An fdisk-like partitioning tool for GPT disks
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-25 16:10 UTC by Terje Røsten
Modified: 2011-08-19 16:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 20:18:06 UTC
kalevlember: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Terje Røsten 2010-01-25 16:10:31 UTC
spec: http://terjeros.fedorapeople.org/gdisk/gdisk.spec
srpm: http://terjeros.fedorapeople.org/gdisk/gdisk-0.6.1-1.fc12.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1943397

desc: 

An fdisk-like partitioning tool for GPT disks. GPT fdisk features a
command-line interface, fairly direct manipulation of partition table
structures, recovery tools to help you deal with corrupt partition
tables, and the ability to convert MBR disks to GPT format.

Comment 1 Keshav Amburay 2010-01-30 13:21:07 UTC
You can also use the Rod Smith's own src-rpm file from http://sourceforge.net/projects/gptfdisk/files/ . I propose this software be added to Fedora's Live and Install CDs and DVDs as well, since GPT is becoming commonplace and there is no other gpt tool that matches the features of GPT fdisk. I also request the Fedora Live CD team to include GParted apart from Palimpest Disk Utility.

Comment 3 Keshav Amburay 2010-02-01 09:10:19 UTC
Please add this software to Fedora's official rpm repositories as well to Fedora Install discs.

Comment 5 Kalev Lember 2010-03-11 11:55:05 UTC
Fedora review gdisk-0.6.3-1.fc12.src.rpm 2010-03-11

+ OK
! needs attention

rpmlint output:
gdisk.i686: W: spelling-error Summary(en_US) fdisk -> disk, frisk, f disk
gdisk.i686: W: spelling-error %description -l en_US fdisk -> disk, frisk, f disk
gdisk.src: W: spelling-error Summary(en_US) fdisk -> disk, frisk, f disk
gdisk.src: W: spelling-error %description -l en_US fdisk -> disk, frisk, f disk
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ rpmlint warnings above are harmless and can be ignored
+ The package is named according to the Package Naming Guidelines.
+ Spec file name matches the base package name
+ The package follows the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  0a43faf9c990fdf45d371dc623830e11  gdisk-0.6.3.tgz
  0a43faf9c990fdf45d371dc623830e11  Download/gdisk-0.6.3.tgz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
+ Packages does not bundle copies of system libraries
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set and %files has %defattr
+ %clean contains %{__rm} -rf %{buildroot}
+ Consistent use of macros
+ Package contains code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ Filenames must be valid UTF-8

! As per https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net , use the following for Source0:
Source0:       http://downloads.sourceforge.net/gptfdisk/gdisk-%{version}.tgz

I would suggest to not use %{__command} macros in new spec files, as they are really not needed and only make the spec file harder to read. Instead of %{__make}, %{__rm}, and %{__install} I'd use just plain make, rm, and install. But this is mostly just personal preference, and up to you if you want to change that.

Package looks good and you can fix Source0 when importing into CVS.

APPROVED

Comment 6 Terje Røsten 2010-03-11 17:08:36 UTC
Will change the source url.

Thanks for the review!





New Package CVS Request
=======================
Package Name: gdisk
Short Description: An fdisk-like partitioning tool for GPT disks
Owners: terjeros
Branches: F-11 F-12 F-13
InitialCC:

Comment 7 Terje Røsten 2010-03-11 19:02:17 UTC
Hi again Kalev, if bored, please consider #560728 :-)

Comment 8 Jason Tibbitts 2010-03-11 19:24:59 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Terje Røsten 2010-03-11 20:18:06 UTC
Imported, built and pushed.

Comment 10 Till Maas 2010-03-18 22:46:30 UTC
Would you mind maintaining this in EPEL 5, too? Afaics ar GPT partitions supported in RHEL, too:

# grep EFI_PART /boot/config-2.6.18-164.*
/boot/config-2.6.18-164.11.1.el5:CONFIG_EFI_PARTITION=y

Comment 11 Terje Røsten 2010-03-19 06:10:19 UTC
Hi Till,
at the moment I don't do epel builds, might change in the future, but not short term, sorry.

Comment 12 Orion Poplawski 2011-08-19 16:20:57 UTC
Package Change Request
======================
Package Name: gdisk
New Branches: el5 el6
Owners: orion
InitialCC: 

Since Terje doesn't want to maintain in epel, I will.

Comment 13 Gwyn Ciesla 2011-08-19 16:55:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.